'use strict';
define([
  'angular',
  'biz/yamoussoukro/modules/form/intervalfield/controllers/IntervalFieldCtrl',
  'biz/yamoussoukro/modules/form/intervalfield/directives/IntervalFieldDirective',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, IntervalFieldCtrl, IntervalFieldDirective) {
  // generation du module
  var ff = angular.module('gc_intervalfield', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
    'model',
  ]);
  // ajout service

  // ajout controller
  ff.controller('IntervalFieldCtrl', IntervalFieldCtrl);
  // ajout directive
  ff.directive('intervalfielddirective', IntervalFieldDirective);
  //route provider

  return ff;
});
